<!-- # NewUI2

This template should help get you started developing with Vue 3 in Vite.

## Recommended IDE Setup

[VSCode](https://code.visualstudio.com/) + [Volar](https://marketplace.visualstudio.com/items?itemName=Vue.volar) (and disable Vetur).

## Customize configuration

# 开发环境搭建步骤

## 1.安装node.js
去官网下载
## 2.安装软件包

```sh
npm install
```

### 3.测试效果-运行开发环境

```sh
npm run dev
```
### 3.测试效果-构建web和update
运行
```sh
npm run build
```
需要看到如下构建完成提示
```sh
✨ [vite-plugin-compression]:algorithm=gzip - compressed file successfully:
dist/D:/Code/Web/HMI_WEB/html/hu_HU.json.gz                63.96kb / gzip: 15.49kb
dist/D:/Code/Web/HMI_WEB/html/cs_CZ.json.gz                56.50kb / gzip: 14.88kb
dist/D:/Code/Web/HMI_WEB/html/en_US.json.gz                51.64kb / gzip: 13.71kb
``` -->
# 本地升级步骤
适用于SD卡内无文件的情况
## 1.升级条件
- 升级软件  **local-192.168.1.2.html**，命名格式为local-xxx.xxx.xxx.xxx.html
- 升级软件  **all.1.2.6.tar** 命名格式为all.x.x.x.tar
- 个人电脑  需要有网口，安装**edge浏览器** 我目前使用版本 135.0.3179.85 (正式版本) (64 位)
- 焊机      插有**SD卡**且SD卡正常，SMARC网口正常
## 2.升级步骤
### a.设置焊机网络
**若焊机处于工装模式则，连接网线即可，无需进行焊机上选项设置**
- 焊机检查：菜单->网络->网页服务 选项是否存在，若不存在则是权限不够，需提升权限
- 焊机操作：打开开关 菜单->网络->网页服务->有线网页服务
- 焊机操作：调节选项 菜单->网络->网页服务->有线网页配置->IP获取方式，设置为静态
- 焊机操作：调节选项 菜单->网络->网页服务->有线网页配置->本地IP，设置为IP为 升级软件 "local-xxx.xxx.xxx.xxx.html"上的IP，例如**local-192.168.1.2.html** 就设置为 **192.168.1.2**
- 焊机操作：打开开关 菜单->网络->网页服务->有线网页配置->网页升级开关

- 焊机操作：将SMARC网口与个人电脑的网口连接
- 电脑操作：将个人电脑的IP配置为静态，IP需要与升级文件的前三位一致，最后一位不一致，例如**local-192.168.1.2.html** 就设置为 **192.168.1.3**，网关设置为255.255.255.0，
### b.开始升级

- 电脑操作：使用edge浏览器打开文件 **local-192.168.1.2.html**，打开后可以看到升级页面
- 网页检查：**检查升级页面中SN码这项是否为焊机SN码**，SN码有值且能对上则代表已于焊机连接，可以升级，无SN码未连接，需要检查网络配置。
- 网页操作：根据提示点击选项选择升级文件**all.1.2.6.tar**，若文件正确则网页会提示"加载文件成功"
- 网页操作：点击升级进行网页升级，等等进度条跑完，会提示升级成功

### c.升级多个机器
若升级完一个机器后，想再次升级第二个机器，执行以下步骤
- 网页操作：无需刷新页面，无需重新选择文件，若把掉升级完的机器的网线，SN码会消失
- 焊机操作：将SMARC网口与个人电脑的网口重新连接
- 网页操作：待SN码正确显示后，点击升级
